GearmanWorker::unregister
GearmanWorker::wait
GearmanWorker
PHP Manual

# GearmanWorker::unregisterAll

(PECL gearman >= 0.6.0)

GearmanWorker::unregisterAll — Unregister all function names with the job servers

### Description

public bool GearmanWorker::unregisterAll ( void )

Unregisters all previously registered functions, ensuring that no more jobs are sent to this worker.

### Parameters

This function has no parameters.

### Return Values

A standard Gearman return value.

### See Also

- GearmanWorker::register() - Register a function with the job server
- GearmanWorker::unregister() - Unregister a function name with the job servers

GearmanWorker::unregister
GearmanWorker::wait
GearmanWorker
PHP Manual